CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[aonevent] AON Event

## Functions
void | AONEventMcuWakeUpSet (uint32_t ui32MCUWUEvent, uint32_t ui32EventSrc)
| Select event source for the specified MCU wakeup programmable event. More...
uint32_t | AONEventMcuWakeUpGet (uint32_t ui32MCUWUEvent)
| Get event source for the specified MCU wakeup programmable event. More...
void | AONEventAuxWakeUpSet (uint32_t ui32AUXWUEvent, uint32_t ui32EventSrc)
| Select event source for the specified AUX wakeup programmable event. More...
uint32_t | AONEventAuxWakeUpGet (uint32_t ui32AUXWUEvent)
| Get event source for the specified AUX wakeup programmable event. More...
void | AONEventMcuSet (uint32_t ui32MCUEvent, uint32_t ui32EventSrc)
| Select event source for the specified programmable event forwarded to the MCU event fabric. More...
uint32_t | AONEventMcuGet (uint32_t ui32MCUEvent)
| Get source for the specified programmable event forwarded to the MCU event fabric. More...
__STATIC_INLINE void | AONEventRtcSet (uint32_t ui32EventSrc)
| Select event source forwarded to AON Real Time Clock (RTC). More...
__STATIC_INLINE uint32_t | AONEventRtcGet (void)
| Get event source forwarded to AON Real Time Clock (RTC). More...

## Detailed Description

## Function Documentation

uint32_t AONEventAuxWakeUpGet | ( | uint32_t | ui32AUXWUEvent | ) |

Get event source for the specified AUX wakeup programmable event.

The AON event fabric has a total of three programmable events that can wake-up the AUX domain. The events are forwarded to the wakeup controller (WUC).

Parameters

  ui32AUXWUEvent | is one of three programmable AUX wakeup event sources. AON_EVENT_AUX_WU0 AON_EVENT_AUX_WU1 AON_EVENT_AUX_WU2

Returns
  Returns an event source for the event AON fabric, i.e. one of the following:
  - AON_EVENT_DIO0
  - AON_EVENT_DIO1
  - ...
  - AON_EVENT_NULL

See also
  AONEventAuxWakeUpSet()

Definition at line 200 of file aon_event.c.

void AONEventAuxWakeUpSet | ( | uint32_t | ui32AUXWUEvent,
|  | uint32_t | ui32EventSrc
| ) |  |

Select event source for the specified AUX wakeup programmable event.

The AON event fabric has a total of three programmable events that can wake-up the AUX domain. The events are forwarded to the wakeup controller (WUC).

Note
  The three programmable event sources are effectively OR'ed together to form a single wake-up event forwarded to the WUC.

Parameters

  ui32AUXWUEvent | is one of three programmable AUX wakeup event sources. AON_EVENT_AUX_WU0 AON_EVENT_AUX_WU1 AON_EVENT_AUX_WU2
  ui32EventSrc | is an event sources for the event AON fabric. AON_EVENT_DIO0 AON_EVENT_DIO1 ... AON_EVENT_NULL

Returns
  None

See also
  AONEventAuxWakeUpGet()

Definition at line 161 of file aon_event.c.

uint32_t AONEventMcuGet | ( | uint32_t | ui32MCUEvent | ) |

Get source for the specified programmable event forwarded to the MCU event fabric.

The AON event fabric has a total of three programmable events that can be forwarded to the MCU event fabric.

Parameters

  ui32MCUEvent | is one of three programmable events forwarded to the MCU event fabric. AON_EVENT_MCU_EVENT0 AON_EVENT_MCU_EVENT1 AON_EVENT_MCU_EVENT2

Returns
  Returns an event source for the event AON fabric, i.e. one of the following:
  - AON_EVENT_DIO0
  - AON_EVENT_DIO1
  - ...
  - AON_EVENT_NULL

See also
  AONEventMcuSet()

Get source for the specified programmable event forwarded to the MCU event fabric.

Definition at line 283 of file aon_event.c.

void AONEventMcuSet | ( | uint32_t | ui32MCUEvent,
|  | uint32_t | ui32EventSrc
| ) |  |

Select event source for the specified programmable event forwarded to the MCU event fabric.

The AON event fabric has a total of three programmable events that can be forwarded to the MCU event fabric.

Note
  The three programmable event sources are forwarded to the following MCU event fabric events:
  - EVENT_AON_PROG_0
  - EVENT_AON_PROG_1
  - EVENT_AON_PROG_2

Parameters

  ui32MCUEvent | is one of three programmable events forwarded to the MCU event fabric. AON_EVENT_MCU_EVENT0 AON_EVENT_MCU_EVENT1 AON_EVENT_MCU_EVENT2
  ui32EventSrc | is event sources for the event AON fabric. AON_EVENT_DIO0 AON_EVENT_DIO1 ... AON_EVENT_NULL

Returns
  None

See also
  AONEventMcuGet()

Select event source for the specified programmable event forwarded to the MCU event fabric

Definition at line 243 of file aon_event.c.

uint32_t AONEventMcuWakeUpGet | ( | uint32_t | ui32MCUWUEvent | ) |

Get event source for the specified MCU wakeup programmable event.

The AON event fabric has a total of four programmable events that can wake-up the MCU. The events are forwarded to the wakeup controller (WUC).

Parameters

  ui32MCUWUEvent | is one of four programmable MCU wakeup event sources. AON_EVENT_MCU_WU0 AON_EVENT_MCU_WU1 AON_EVENT_MCU_WU2 AON_EVENT_MCU_WU3

Returns
  Returns an event source for the event AON fabric, i.e. one of the following:
  - AON_EVENT_DIO0
  - AON_EVENT_DIO1
  - ...
  - AON_EVENT_NULL

See also
  AONEventMcuWakeUpSet()

Definition at line 113 of file aon_event.c.

void AONEventMcuWakeUpSet | ( | uint32_t | ui32MCUWUEvent,
|  | uint32_t | ui32EventSrc
| ) |  |

Select event source for the specified MCU wakeup programmable event.

The AON event fabric has a total of four programmable events that can wake-up the MCU. The events are forwarded to the wakeup controller (WUC).

Note
  The four programmable event sources are effectively OR'ed together to form a single wake-up event forwarded to the WUC.

Parameters

  ui32MCUWUEvent | is one of four programmable MCU wakeup event sources. AON_EVENT_MCU_WU0 AON_EVENT_MCU_WU1 AON_EVENT_MCU_WU2 AON_EVENT_MCU_WU3
  ui32EventSrc | is an event source for the event AON fabric. AON_EVENT_DIO0 AON_EVENT_DIO1 ... AON_EVENT_NULL

Returns
  None

See also
  AONEventMcuWakeUpGet()

Definition at line 68 of file aon_event.c.

__STATIC_INLINE uint32_t AONEventRtcGet | ( | void |  | ) |

Get event source forwarded to AON Real Time Clock (RTC).

A programmable event can be forwarded to the AON real time clock for triggering a capture event on RTC channel 1.

Returns
  Returns an event source to the event AON fabric, i.e. one of the following:
  - AON_EVENT_DIO0
  - AON_EVENT_DIO1
  - ...
  - AON_EVENT_NULL

See also
  AONEventRtcSet()

Definition at line 414 of file aon_event.h.

__STATIC_INLINE void AONEventRtcSet | ( | uint32_t | ui32EventSrc | ) |

Select event source forwarded to AON Real Time Clock (RTC).

A programmable event can be forwarded to the AON real time clock for triggering a capture event on RTC channel 1.

Parameters

  ui32EventSrc | is the event sources for the event AON fabric. AON_EVENT_DIO0 AON_EVENT_DIO1 ... AON_EVENT_NULL

Returns
  None

See also
  AONEventRtcGet()

Definition at line 381 of file aon_event.h.

## Macro Definition Documentation

#define AON_EVENT_AUX0 44

Definition at line 142 of file aon_event.h.

#define AON_EVENT_AUX1 45

Definition at line 144 of file aon_event.h.

#define AON_EVENT_AUX2 46

Definition at line 146 of file aon_event.h.

#define AON_EVENT_AUX_ADC_DONE 49

Definition at line 150 of file aon_event.h.

#define AON_EVENT_AUX_CMPA 47

Definition at line 148 of file aon_event.h.

#define AON_EVENT_AUX_CMPB 48

Definition at line 149 of file aon_event.h.

#define AON_EVENT_AUX_TDC_DONE 50

Definition at line 151 of file aon_event.h.

#define AON_EVENT_AUX_TIMER0 51

Definition at line 152 of file aon_event.h.

#define AON_EVENT_AUX_TIMER1 52

Definition at line 153 of file aon_event.h.

#define AON_EVENT_AUX_WU0 0

Definition at line 176 of file aon_event.h.

Referenced by AONEventAuxWakeUpGet(), and AONEventAuxWakeUpSet().

#define AON_EVENT_AUX_WU1 1

Definition at line 177 of file aon_event.h.

Referenced by AONEventAuxWakeUpGet(), and AONEventAuxWakeUpSet().

#define AON_EVENT_AUX_WU2 2

Definition at line 178 of file aon_event.h.

Referenced by AONEventAuxWakeUpGet(), and AONEventAuxWakeUpSet().

#define AON_EVENT_BATMON_TEMP 53

Definition at line 155 of file aon_event.h.

#define AON_EVENT_BATMON_VOLT 54

Definition at line 156 of file aon_event.h.

#define AON_EVENT_IO 32

Definition at line 130 of file aon_event.h.

#define AON_EVENT_IO0 AON_EVENT_DIO_0

Definition at line 98 of file aon_event.h.

#define AON_EVENT_IO1 AON_EVENT_DIO_1

Definition at line 99 of file aon_event.h.

#define AON_EVENT_IO10 AON_EVENT_DIO_10

Definition at line 108 of file aon_event.h.

#define AON_EVENT_IO11 AON_EVENT_DIO_11

Definition at line 109 of file aon_event.h.

#define AON_EVENT_IO12 AON_EVENT_DIO_12

Definition at line 110 of file aon_event.h.

#define AON_EVENT_IO13 AON_EVENT_DIO_13

Definition at line 111 of file aon_event.h.

#define AON_EVENT_IO14 AON_EVENT_DIO_14

Definition at line 112 of file aon_event.h.

#define AON_EVENT_IO15 AON_EVENT_DIO_15

Definition at line 113 of file aon_event.h.

#define AON_EVENT_IO16 AON_EVENT_DIO_16

Definition at line 114 of file aon_event.h.

#define AON_EVENT_IO17 AON_EVENT_DIO_17

Definition at line 115 of file aon_event.h.

#define AON_EVENT_IO18 AON_EVENT_DIO_18

Definition at line 116 of file aon_event.h.

#define AON_EVENT_IO19 AON_EVENT_DIO_19

Definition at line 117 of file aon_event.h.

#define AON_EVENT_IO2 AON_EVENT_DIO_2

Definition at line 100 of file aon_event.h.

#define AON_EVENT_IO20 AON_EVENT_DIO_20

Definition at line 118 of file aon_event.h.

#define AON_EVENT_IO21 AON_EVENT_DIO_21

Definition at line 119 of file aon_event.h.

#define AON_EVENT_IO22 AON_EVENT_DIO_22

Definition at line 120 of file aon_event.h.

#define AON_EVENT_IO23 AON_EVENT_DIO_23

Definition at line 121 of file aon_event.h.

#define AON_EVENT_IO24 AON_EVENT_DIO_24

Definition at line 122 of file aon_event.h.

#define AON_EVENT_IO25 AON_EVENT_DIO_25

Definition at line 123 of file aon_event.h.

#define AON_EVENT_IO26 AON_EVENT_DIO_26

Definition at line 124 of file aon_event.h.

#define AON_EVENT_IO27 AON_EVENT_DIO_27

Definition at line 125 of file aon_event.h.

#define AON_EVENT_IO28 AON_EVENT_DIO_28

Definition at line 126 of file aon_event.h.

#define AON_EVENT_IO29 AON_EVENT_DIO_29

Definition at line 127 of file aon_event.h.

#define AON_EVENT_IO3 AON_EVENT_DIO_3

Definition at line 101 of file aon_event.h.

#define AON_EVENT_IO30 AON_EVENT_DIO_30

Definition at line 128 of file aon_event.h.

#define AON_EVENT_IO31 AON_EVENT_DIO_31

Definition at line 129 of file aon_event.h.

#define AON_EVENT_IO4 AON_EVENT_DIO_4

Definition at line 102 of file aon_event.h.

#define AON_EVENT_IO5 AON_EVENT_DIO_5

Definition at line 103 of file aon_event.h.

#define AON_EVENT_IO6 AON_EVENT_DIO_6

Definition at line 104 of file aon_event.h.

#define AON_EVENT_IO7 AON_EVENT_DIO_7

Definition at line 105 of file aon_event.h.

#define AON_EVENT_IO8 AON_EVENT_DIO_8

Definition at line 106 of file aon_event.h.

#define AON_EVENT_IO9 AON_EVENT_DIO_9

Definition at line 107 of file aon_event.h.

#define AON_EVENT_JTAG 43

Definition at line 141 of file aon_event.h.

#define AON_EVENT_MCU_EVENT0 0

Definition at line 185 of file aon_event.h.

Referenced by AONEventMcuGet(), and AONEventMcuSet().

#define AON_EVENT_MCU_EVENT1 1

Definition at line 187 of file aon_event.h.

Referenced by AONEventMcuGet(), and AONEventMcuSet().

#define AON_EVENT_MCU_EVENT2 2

Definition at line 189 of file aon_event.h.

Referenced by AONEventMcuGet(), and AONEventMcuSet().

#define AON_EVENT_MCU_WU0 0

Definition at line 166 of file aon_event.h.

Referenced by AONEventMcuWakeUpGet(), and AONEventMcuWakeUpSet().

#define AON_EVENT_MCU_WU1 1

Definition at line 167 of file aon_event.h.

Referenced by AONEventMcuWakeUpGet(), and AONEventMcuWakeUpSet().

#define AON_EVENT_MCU_WU2 2

Definition at line 168 of file aon_event.h.

Referenced by AONEventMcuWakeUpGet(), and AONEventMcuWakeUpSet().

#define AON_EVENT_MCU_WU3 3

Definition at line 169 of file aon_event.h.

Referenced by AONEventMcuWakeUpGet(), and AONEventMcuWakeUpSet().

#define AON_EVENT_NULL 63

Definition at line 158 of file aon_event.h.

Referenced by AONEventAuxWakeUpSet(), AONEventMcuSet(), AONEventMcuWakeUpSet(), and AONEventRtcSet().

#define AON_EVENT_RTC0 35

Definition at line 133 of file aon_event.h.

#define AON_EVENT_RTC0DLY 38

Definition at line 136 of file aon_event.h.

#define AON_EVENT_RTC1 36

Definition at line 134 of file aon_event.h.

#define AON_EVENT_RTC1DLY 39

Definition at line 137 of file aon_event.h.

#define AON_EVENT_RTC2 37

Definition at line 135 of file aon_event.h.

#define AON_EVENT_RTC2DLY 40

Definition at line 138 of file aon_event.h.

#define AON_EVENT_RTCDLYC 41

Definition at line 139 of file aon_event.h.

#define AON_EVENT_SPISCS 34

Definition at line 132 of file aon_event.h.

#define AON_EVENT_SPISRTX 33

Definition at line 131 of file aon_event.h.